%{?nodejs_find_provides_and_requires}
Name:                nodejs-tunnel-agent
Version:             0.4.2
Release:             1
Summary:             HTTP proxy tunneling agent
License:             ASL 2.0
URL:                 https://github.com/request/tunnel-agent
Source0:             https://registry.npmjs.org/tunnel-agent/-/tunnel-agent-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
%{summary}.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/tunnel-agent
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/tunnel-agent
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/tunnel-agent

%changelog
* Tue Aug 11 2020 zhanghua <zhanghua40@huawei.com> - 0.4.2-1
- package init
